#!/usr/bin/env python
# -*- coding: utf-8 -*-

from gimpfu import *
import os, glob

def do_load_files(imgfname) :
    img = pdb.gimp_file_load(imgfname + "_B2.tif", "")
#                             load R ch. file as background
    img.filename = imgfname  + "_RGB.xcf" #change image's filename
    disp = pdb.gimp_display_new(img) #display image
    filenames = [imgfname + "_B2.tif",
       imgfname + "_G.tif", imgfname + "_R.tif"]
    for filename in filenames:
        try:
            image_id, layer_ids = pdb.gimp_file_load_layers(img,
                 filename)
            for id in layer_ids:
                new_layer = gimp.Item.from_id(id)
                pdb.gimp_image_add_layer(img, new_layer, 0)
                pdb.gimp_layer_add_alpha (new_layer)
        except Exception, error:
            print error
    image = gimp.image_list()[0]
# Back Ground Layer (image.layers[3]) to White
    color = (1.0, 1.0, 1.0, 1.0)
#    color: (R Value, G Value, B Value, Transparence)
    pdb.gimp_context_set_background(color) #Set background painting color
    pdb.gimp_edit_fill(image.layers[3], BACKGROUND_FILL)
#    Fill layer[3] with Background Painting Color
    pdb.gimp_edit_copy(image.layers[0])
    red = pdb.gimp_edit_paste_as_new_image()
    pdb.gimp_edit_copy(image.layers[1])
    green = pdb.gimp_edit_paste_as_new_image()
    pdb.gimp_edit_copy(image.layers[2])
    blue = pdb.gimp_edit_paste_as_new_image()
    compose = pdb.plug_in_compose(red, image.layers[3], green, blue, blue,"RGB")
#             "image.layers[3]" & second "blue" for dummy parameters
    compose.filename = imgfname  + "_composed.xcf"
    disp = pdb.gimp_display_new(compose)
    drawable = pdb.gimp_image_get_active_layer(compose)
    pdb.file_tiff_save(compose, drawable, imgfname  + "_composed.tif", imgfname  + "_composed.tif", 3)
#
    return

register(
    "do_load_files_for_Ineqully_Yellowed_Nega_Correction",
    "Load files for Photo Color adjustment",
    "Load files for Photo Color adjustment",
    "Ohnishi, Yasuo",
    "Public Domain",
    "2021 Ver 0.1",
    "Load Files...",
    "",      # Alternately use RGB, RGB*, GRAY*, INDEXED etc.
    [
        (PF_FILE, "imgfname", "Select Original Image file", ""),
    ],
    [],
    do_load_files, menu="<Image>/My Plugins/Inequally Yellowed Nega Correction (simple)" )
main()

